curl --request GET \
--url https://api.instantly.ai/api/v2/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/webhooks")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01a082d0-339e-744f-be46-d56036576094",
"organization": "01a082d0-339e-744f-be46-d5617fe5bd8d",
"target_hook_url": "https://webhook.site/unique-url",
"timestamp_created": "2026-09-08T20:57:57.918Z",
"campaign": "01a082d0-339e-744f-be46-d562d1816332",
"name": "Zapier Positive Replies",
"event_type": "email_sent",
"custom_interest_value": 1,
"headers": {
"Authorization": "Basic dXNlcm5hbWU6cGFzc3dvcmQ="
},
"status": 1,
"timestamp_error": "2026-09-08T20:57:57.918Z"
}
],
"next_starting_after": "01a082d0-849d-74e7-9e4a-c9a98889a231"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}List webhooks
List all webhooks for the workspace with optional filters
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of items to return
1 <= x <= 10010
The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.
"01956fbd-0eb1-72db-a565-82977a586084"
Filter by campaign ID
"01a082d0-849d-74e7-9e4a-c9a85d1e677f"
Filter by event type (e.g., email_sent, lead_interested, all_events)
all_events, email_sent, email_opened, email_link_clicked, reply_received, email_bounced, lead_unsubscribed, campaign_completed, account_error, lead_neutral, lead_interested, lead_not_interested, lead_meeting_booked, lead_meeting_completed, lead_closed, lead_out_of_office, lead_wrong_person "all_events"
Response
The list of Webhook
The list of Webhook
Show child attributes
Show child attributes
The filter for getting the next items after this one, this could either be a UUID, a timestamp, on an email depending on the specific API
"01a082d0-849d-74e7-9e4a-c9a98889a231"
"2026-09-08T20:58:18.653Z"